NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Properties | List of all members
NXOpen.Facet.AdjustMinimumRadiusBuilder Class Reference

Represents a NXOpen.Facet.AdjustMinimumRadiusBuilder . More...

Inheritance diagram for NXOpen.Facet.AdjustMinimumRadiusBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Properties

unsafe NXOpen.FacetCollector Facets [get]
 Returns the input facets. More...
 
unsafe bool IsEditCopy [get, set]
 Returns or sets the flag indicating if the adjust minimum radius is on the copy of the input facet body. More...
 
unsafe double MinimumRadius [get, set]
 Returns or sets the minimum radius of curvature More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Facet.AdjustMinimumRadiusBuilder .

It smooths the input bodies such that their minimum radius of curvature is larger than the prescribed radius of curvature.

To create a new instance of this class, use NXOpen.Facet.FacetModelingCollection.CreateFacetAdjustMinimumRadiusBuilder

Created in NX12.0.1

Property Documentation

unsafe NXOpen.FacetCollector NXOpen.Facet.AdjustMinimumRadiusBuilder.Facets
get

Returns the input facets.

Inputs to this command can be convergent objects.

Created in NX12.0.1

License requirements: None.

unsafe bool NXOpen.Facet.AdjustMinimumRadiusBuilder.IsEditCopy
getset

Returns or sets the flag indicating if the adjust minimum radius is on the copy of the input facet body.

Created in NX12.0.1

License requirements to get this property: None.

License requirements to set this property: nx_polygon_modeling (" NX Polygon Modeling")

unsafe double NXOpen.Facet.AdjustMinimumRadiusBuilder.MinimumRadius
getset

Returns or sets the minimum radius of curvature

Created in NX12.0.1

License requirements to get this property: None.

License requirements to set this property: nx_polygon_modeling (" NX Polygon Modeling")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.